voaP2PPlot(1)

NAME
voaP2PPlot - Plot VOACAP point-to-point predictions

SYNOPSIS
voaP2PPlot [options] aFile

DESCRIPTION
voaP2PPlot A python script used to graphically display the contents of output files produced by VOACAP.

OPTIONS

-b band
    Where the integer 'band' specifies a band plan to be overlayed on the plot. Supported bandplans are 1:SWL 2:UK Amateur 3:KSA Amateur

-c  Display contour lines on the image

-f max_frequency
    A float used to specify the maximum frequency (MHz) to display, e.g. '-f 20' limits the y-axis to 20MHz. Values must be in the range 5-30MHz Autoscaling may be switched on with the value '-f a'.

-g group
    Where group is an integer specifying the group within a file containing multiple groups to plot. Multiple groups must be separated by commas, e.g. '-g 1,3,4' will print groups 1, 3 & 4

-h  Prints a help message and quits.

-k, --background
    Specify the colour of the background. Any legal HTML color specification is supported e.g '-k red', '-k #eeefff', (default = white)

-l 'label'
    Where 'label' is a string printed as a main title at the top of the plot.

-m colour-map
    Specifies the colour-map to use. Supported colour maps are 1:Bone, 2:Cool 3:Copper 4:Gray 5:Hot 6:Hsv 7:Jet 8:Pink 9:Spring 10:Summer 11:Winter (default = 8)

-o file-name
    Used to specify an output file to save the plot to. The file-name extension defines the output file format. .png/.pdf files are supported.

-q  Process quietly, don't produce a graph on the screen. This only makes sense when used in conjunction with the -o option.

-r resolution
    Specifies the size in Dots per Inch (DPI) of the output image. Default = 150

-t type
    Specifies the type of image to plot. Supported image types are 0:None 1:MUFday 2:REL 3:SNR 4:S DBW (default = 1)

-z time-Zone
    Specifies the timezone to shift the plots to.

EXAMPLES

voaP2PPlot voacapx.out
    Plots the contents of the file voacapx.out.

voaP2PPlot -c -m 3voacapx.out
    Plots using colour map 3, adding contour lines to the plot.

voaP2PPlot -b 1 -o plot.pdf voacapx.out
    Overlays the plot with the SWL band-plan, saving the plot to the file plot.pdf

voaP2PPlot -t 2 -z 3 voacapx.out
    Produces a reliability plot, shifted to a timezone 3 hours ahead of UTC.

ENVIRONMENT
voaP2PPlot does not require or make use of any environmental variables. The program requires the python library matlibplot to run.

BUGS
No known bugs, that's probably a sign of incomplete testing rather than a bug free program :-). The program is not very tolerant of incorrect arguments, this will be addressed in future versions.

AUTHOR
This program was written by James Watson (M0DNS) <jimwatson at mac dot com>

ACKNOWLEDGMENTS
Credit and thanks to Jari Perkiomaki, OH6BG (OH6BG) for program testing and suggestions.